WhatsApp templates
List templates for a WhatsApp channel
Requires whatsapp_templates:read.
GET
/
whatsapp-templates
/
{channelId}
List templates for a WhatsApp channel
curl --request GET \
--url https://platform-api.visitoai.com/m2m/v1/whatsapp-templates/{channelId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform-api.visitoai.com/m2m/v1/whatsapp-templates/{channelId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform-api.visitoai.com/m2m/v1/whatsapp-templates/{channelId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"templates": [
{
"name": "<string>",
"status": "<string>",
"id": "<string>",
"language": "<string>",
"category": "UTILITY",
"components": [
{}
]
}
]
}{
"error": {
"code": "M2M_AUTH_INSUFFICIENT_SCOPE",
"message": "M2M credential does not have required scope.",
"details": {
"requiredScopes": [
"conversations:write"
],
"missingScopes": [
"conversations:write"
]
}
}
}⌘I
List templates for a WhatsApp channel
